curl -X POST " https://api.playground.try.be/shop/terminal-tokenisations " \
-H " Authorization: Bearer YOUR_API_KEY " \
-H " Accept: application/json " \
-H " Content-Type: application/json " \
-d ' {
"terminal_id": "64a9f3b2c3d8e1f4a5b6c7d8",
"customer_id": "00000000-0000-0000-0000-000000000000"
} ' const response = await fetch ( ' https://api.playground.try.be/shop/terminal-tokenisations ' , {
method : ' POST ' ,
headers : {
Authorization : ' Bearer YOUR_API_KEY ' ,
' Content-Type ' : ' application/json ' ,
Accept : ' application/json ' ,
},
body : JSON . stringify ( {
" terminal_id " : " 64a9f3b2c3d8e1f4a5b6c7d8 " ,
" customer_id " : " 00000000-0000-0000-0000-000000000000 "
} ) ,
} )
if ( ! response . ok ) {
throw new Error ( ` Trybe API ${ response . status } : ${ await response . text () }` )
}
const data = await response . json () import httpx
response = httpx . post (
" https://api.playground.try.be/shop/terminal-tokenisations " ,
headers = {
" Authorization " : " Bearer YOUR_API_KEY " ,
" Accept " : " application/json " ,
" Content-Type " : " application/json " ,
},
json = {
" terminal_id " : " 64a9f3b2c3d8e1f4a5b6c7d8 " ,
" customer_id " : " 00000000-0000-0000-0000-000000000000 "
},
)
response . raise_for_status ()
data = response . json () <? php
$ client = new \ GuzzleHttp \ Client ();
$ response = $ client -> request ( ' POST ' , ' https://api.playground.try.be/shop/terminal-tokenisations ' , [
' headers ' => [
' Authorization ' => ' Bearer YOUR_API_KEY ' ,
' Accept ' => ' application/json ' ,
' Content-Type ' => ' application/json ' ,
],
' json ' => [
' terminal_id ' => ' 64a9f3b2c3d8e1f4a5b6c7d8 ' ,
' customer_id ' => ' 00000000-0000-0000-0000-000000000000 '
],
]);
$ data = json_decode ($ response -> getBody (), true ); package main
import (
" bytes "
" encoding/json "
" net/http "
)
func main () {
payload , _ := json . Marshal ( map [ string ] interface {}{
" terminal_id " : " 64a9f3b2c3d8e1f4a5b6c7d8 " ,
" customer_id " : " 00000000-0000-0000-0000-000000000000 " ,
})
req , _ := http . NewRequest ( " POST " , " https://api.playground.try.be/shop/terminal-tokenisations " , bytes . NewBuffer ( payload ))
req . Header . Set ( " Authorization " , " Bearer YOUR_API_KEY " )
req . Header . Set ( " Accept " , " application/json " )
req . Header . Set ( " Content-Type " , " application/json " )
resp , err := http . DefaultClient . Do ( req )
if err != nil {
panic ( err )
}
defer resp . Body . Close ()
var data map [ string ] interface {}
json . NewDecoder ( resp . Body ). Decode ( & data )
} 200 400 401 403 422
The Card Tokenisation was successfully retrieved
{
" data " : {
" id " : " 64a9f3b2c3d8e1f4a5b6c7d8 " ,
" status " : " pending " ,
" site_id " : " 00000000-0000-0000-0000-000000000000 " ,
" terminal_id " : " 00000000-0000-0000-0000-000000000000 " ,
" service_id " : " 00000000-0000-0000-0000-000000000000 " ,
" processor_data " : {}
}
} {
" message " : " Unauthenticated "
} {
" message " : " This action is unauthorized. "
} {
" errors " : {},
" message " : " The request didn't pass validation "
}